在 AutoCAD 收到打开现有图形的请求后立即触发。 支持的平台:仅窗口 签名工 务 局: object.BeginOpen(Filename)
言论一旦AutoCAD收到打开现有文件的请求,就会触发该事件。此请求可以由用户通过“文件打开”对话框以交互方式发出,也可以以编程方式发出。BeginOpen 打开 DXF 格式文件时不会触发该事件。BeginOpen 打开现有文件时,当AutoCAD完成图形的打开时,事件后跟事件。例如,当用户选择“应用程序”菜单“打开”,然后从对话框中选择要打开的文件并选择“打开”按钮时,将触发该事件(一旦处理了“打开”按钮)。一旦图形在 AutoCAD 窗口中可见并准备好工作,就会触发该事件。BeginOpen EndOpen BeginOpenEndOpen 创建新文件时,将触发该事件。 NewDrawing 显示模式对话框时不会触发任何事件。 例子工 务 局: Public WithEvents ACADApp As AcadApplication ' Use with Application Event Examples
Sub Example_AcadApplication_Events()
' This example intializes the public variable (ACADApp) which will be used
' to intercept AcadApplication Events
'
' The VBA WithEvents statement makes it possible to intercept an generic object
' with the events associated with that object.
'
' Before you will be able to trigger any of the AcadApplication events,
' you will first need to run this procedure.
' We could get the application from the ThisDocument object, but that would
' require having a drawing open, so we grab it from the system.
Set ACADApp = GetObject(, "AutoCAD.Application.24")
End Sub
Private Sub ACADApp_BeginOpen(FileName As String)
' This example intercepts an Application BeginOpen event.
'
' This event is triggered when a drawing is opened by AutoCAD.
'
' To trigger this example event:
' 1) Make sure to run the example that initializes
' the public variable (named ACADApp) linked to this event.
'
' 2) Use AutoCAD to open an existing drawing
' Use the "FileName" variable to determine which drawing file is being opened
MsgBox "A drawing is about to be loaded from: " & FileName
End Sub
Visual LISP: Not available |
|Archiver|CAD开发者社区 ( 苏ICP备2022047690号-1 苏公网安备32011402011833)
GMT+8, 2025-1-8 19:49
Powered by Discuz! X3.4
Copyright © 2001-2021, Tencent Cloud.